
Redmine - Defect #7505

Subversion: Repository URL with space not handled correctly

2011-01-31 22:39 - Adam Piotr Żochowski

Status: Closed Start date: 2011-01-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

To avoid issues with any special characters in URL I use Tortoise svn and it's " copy url link " option while browing repository.  So

Redmine gets nice clean proper URLs:

https://server/projects/Project%20Name

However, new Redmine now is munging clean URLs.  For example the above URL gets parsed as:

https://server/projects/Project%2520Name

as far as I can guess, the URL is meant to be escaped, however lib\redmine\scm\adapters\subversion_adapter.rb is doing too much

of replacing :

        def target(path = '')

          base = path.match(/^\//) ? root_url : url

          uri = "#{base}/#{path}" 

          uri = URI.escape(URI.escape(uri), '[]')

          shell_quote(uri.gsub(/[?<>\*]/, ''))

        end

 This code is escaping too much.  If URL is properly entered (and it should be) then no need to escape it again.

This is a regression from 0.9 series that worked ok with URLs.

Related issues:

Related to Redmine - Defect #5461: Cannot browse SVN Repositories with whites... Closed 2010-05-07

Related to Redmine - Defect #2532: Cannot browse Subversion paths that contai... Closed 2009-01-19

Related to Redmine - Defect #17882: Subversion: French character filename cau... New

Related to Redmine - Defect #27043: SVN repos with spaces allow for browsing ... New

History

#1 - 2011-03-23 07:16 - Toshi MARUYAMA

- Subject changed from Repository URL not handled correctly to Subversion: Repository URL not handled correctly

#2 - 2011-03-23 07:16 - Toshi MARUYAMA

- Subject changed from Subversion: Repository URL not handled correctly to Subversion: Repository URL with space not handled correctly

#3 - 2014-09-16 03:47 - Toshi MARUYAMA

- Related to Defect #17882: Subversion: French character filename causes error 404 added

#4 - 2017-01-10 23:31 - Go MAEDA

- Status changed from New to Closed

No problem in the current trunk (r16171).
#5 - 2017-10-19 18:46 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/16171


- Related to Defect #27043: SVN repos with spaces allow for browsing but not file viewing added
